/* Script Index */
/* chargement des images "server" */
var SIchk = new Image();
var SIok = new Image();
var SIerr = new Image();
SIchk.src="data/adm/ctcchk.svg";
SIok.src="data/adm/ctcok.svg";
SIerr.src="data/adm/ctcerr.svg";
/* constantes */
const FLREST=1,FLNEWPROJ=8,FLDELPROJ=16,FLDELSCENE=32,FLDIRECT=64,FLCHGPASS=128;
/*-- About --*/
function idx_about(event)
{
	if (idx_closepop())	return;
	/* about traduction */
	var trad="";
	if (ADMlng!='fr')
	{
		trad="<div class='formuc'>"+_translate("Traduction :")+" "+ADMabout+"</div>";
	}
	/* initialisation fenêtre */
	var		pop="";
	pop+="<h1>"+_translate("À propos de Picstory")+"</h1>";
	pop+="<div class='formuc'>(c) Thomas Pimmel 2017-2018 Version "+PSVersion+"<br>";
	pop+="This program is free software: you can redistribute it and/or modify<br>it under the terms of the GNU General Public License as published by<br>the Free Software Foundation, either version 3 of the License, or<br>(at your option) any later version.";
	pop+="</div>";
	pop+=trad;
	pop+="<div class='formu' id='fu_maj' style='text-align:center;color:blue;'>"+_translate("Recherche de mises à jour...")+"</div>"
	pop+="<div class='formu' id='fu_but'><div id='centerbutton' onclick='idx_closepop();'>"+_translate("Fermer")+"</div></div>";
	/* display */
	$("#popup").html(pop);
	$("#popup").show();
	/* demande des mises à jour */
	$.post("idxutil.php",{command:"getmaj"}, function (data) {
	var retour=_parse(data);
	switch (retour[0])
	{
		case "0":
			$("#fu_maj").css({color: "red"});
			$("#fu_maj").html(retour[1]);
			break;
		case "1":
			$('#fu_maj').html(_translate("Votre programme est à jour !"));
			break;
		case "2":
			$("#fu_maj").html(_translate("Mise à jour disponible !")+" ("+_translate("Version")+" "+retour[1]+")");
			$("#fu_but").html("<div id='leftbutton' onclick='idx_closepop();'>"+_translate("Fermer")+"</div><div id='rightbutton' onclick='idx_domaj();'>"+_translate("Mettre à jour")+"</div>");
			break;
	}
	});
}
function idx_domaj()
{
	window.open("picstoryupdate.php", '_self');
}
/*----- default left mouse -------*/
function idx_leftmouse(event)
{
	idx_closecontext();
}
/* Close context */
function idx_closecontext()
{
	// si ouvert, fermer
	if (contextID!=-1)
	{
		$('#ctxmenu').hide();
		contextID=-1;
		return true;
	}
	return false;
}

/* touch */
var timerLongTouch;
var longTouch=false;
var touchx=false;
var touchy=false;
function idx_touchstart(event,id)
{
	touchx = event.touches[0].clientX;
	touchy = event.touches[0].clientY;
	event.preventDefault();
	timerLongTouch=setTimeout(function() {longTouch = true;},1000);

}
function idx_touchend(event,id)
{
	event.preventDefault();
	clearTimeout(timerLongTouch);
	if (idx_closecontext())	return;
	var long=longTouch;
	longTouch=false;
	if (long)	idx_menu(event,id);
	else
	{
		if (!id)	idx_newproject(event);
		else		idx_openproject(event,id);
	}
}

/* context */
var		contextID=-1;
var 	ProjectID=-1;
function idx_menu(event,id)
{
	if (idx_closecontext())	return;
	var menu="";
	/* menu selon square */
	if (id>0)
	{
			menu+="<div class='ctxitem' onclick='idx_openproject(event,"+id+");'>"+_translate("Ouvrir")+"</div>";
			menu+="<div class='ctxitem' onclick='idx_chgmdp(event);'>"+_translate("Mot de passe")+"</div>";
			menu+="<div class='ctxitem' onclick='idx_archive(event);'>"+_translate("Archiver")+"</div>";
			menu+="<div class='ctxitem' style='color:red;' onclick='idx_suppr(event);'>"+_translate("Supprimer")+"</div>";
	}
	else
	{
			menu+="<div class='ctxitem' onclick='idx_newproject(event);'>"+_translate("Ajouter un projet")+"</div>";
			menu+="<div class='ctxitem' onclick='idx_import(event);'>"+_translate("Importer")+"</div>";
			menu+="<hr><div class='ctxitem' onclick='ta_open();'>"+_translate("Gérer les travaux")+"</div>";
	}
	$('#ctxmenu').html(menu);
	if (touchx===false)
	{
		var x = event.clientX;     // Get the horizontal coordinate
		var y = event.clientY;     // Get the vertical coordinate
		event.preventDefault();
	}
	else
	{
		var x = touchx;
		var y = touchy;
	}

	$('#ctxmenu').css({top: y+"px", left: x+"px", display:'block'});
	contextID=id;
	ProjectID=id;
}
/* --- détruire un projet --- */
function idx_suppr(event)
{
	idx_closecontext();
	if (idx_closepop())	return;
	/* initialisation fenêtre */
	var		pop="";
	var namep=projlist[ProjectID-1];
	pop+="<h1>"+_translate("Supprimer le projet")+"</h1>";
	pop+="<h2>&laquo;&nbsp;"+namep+"&nbsp;&raquo;</h2>";

	/* mot de passe si besoin */
	if ((ADMFlags&FLDELPROJ) && (ADMFlags&FLREST))
	{
		pop+="<div class='formuc' id='fu_dmdp'>"
		pop+="<div class='formu'><span class='tabspan'>"+_translate("Mot de passe administrateur")+"</span>";
		pop+="<input id='fu_imdp' type='password'></div>";
		pop+="</div>";
	}
	/* Boutons */
	pop+="<div class='errordiv' id='fu_errproj'>"+_translate("Veuillez confirmer la suppression du projet !")+"</div>";
	pop+="<div class='formu'>";
	pop+="<div id='leftbutton' onclick='idx_closepop();'>"+_translate("Annuler")+"</div>";
	pop+="<div id='rightbutton' onclick='idx_supprvalid(event);'>"+_translate("Valider")+"</div>";
	pop+="</div>";
	/* display */
	$("#popup").html(pop);
	$("#popup").show();
	inputfocus("fu_dmdp");
}
function idx_supprvalid(event)
{
	var mdp=$("#fu_imdp").val();
	/* suppr demandée */
	$.post("idxutil.php",{command:"supprproj",password:mdp,index:ProjectID}, function (data) {
	var retour=_parse(data);
	if (retour[0]=="1")
	{
		/* Afficher le nouveau rep */
		window.open("index.php?opt=nosplash", '_self');
	}
	else
	{
		/* afficher l'erreur */
		$('#fu_errproj').html(retour[1]);
	}
	});
}
/* -- Importer un projet -- */
function idx_import(event)
{
	idx_closecontext();
	if (idx_closepop())	return;
	/* initialisation fenêtre */
	var		pop="";
	pop+="<h1>"+_translate("Importer un projet")+"</h1>";
	pop+="<div class='formu'>"+_translate("Acquisition de la liste des projets archivés...")+"</div>";
	/* display */
	$("#popup").html(pop);
	$("#popup").show();
	$.post("idxutil.php",{command:"listarch"}, function (data) {
	var retour=_parse(data);
	if (retour[0]=="1")
	{
		var listarch=retour[1].split("|");
		/* liste des archives */
		pop+="<div class='formuc'>";
		pop+="<h2>"+_translate("Sélectionnez un projet :")+"<h2>"
		for (var i = 0, len = listarch.length; i < len; i++)
		{
			pop+="<div class='ctxitem' style='cursor:pointer' onclick=idx_importarch('"+listarch[i]+"')>"+listarch[i]+"</div>";
		}
		pop+="</div>"
	}
	else
	{
		/* afficher l'erreur */
		pop+="<div class='errordiv'>"+retour[1]+"</div>";
	}
	pop+="<div id='centerbutton' onclick='idx_closepop();'>"+_translate("Fermer")+"</div>";
	$("#popup").html(pop);
	});
	
}
/* do import */
function idx_importarch(archive)
{
	var pop="<h1>";
	pop+="Import de &laquo;&nbsp;"+archive+"&nbsp;&raquo;...</h1>";
	/* mot de passe si besoin */
	if (ADMFlags&FLREST)
	{
		pop+="<div class='formuc' id='fu_dmdp'>"
		pop+="<div class='formu'><span class='tabspan'>"+_translate("Mot de passe administrateur")+"</span>";
		pop+="<input id='fu_imdp' type='password'></div>";
		pop+="</div>";
		/* Boutons */
		pop+="<div class='errordiv' id='fu_errproj'></div>";
		pop+="<div id='fu_but' class='formu'>";
		pop+="<div id='leftbutton' onclick=idx_closepop();>"+_translate("Annuler")+"</div>";
		pop+="<div id='rightbutton' onclick=idx_importarchadm('"+archive+"');>"+_translate("Valider")+"</div>";
		pop+="</div>";
	}
	else
	{
		pop+="<div class='formu'>";
		pop+="<div class='errordiv' id='fu_errproj'>"+_translate("L'import n'est possible que pour un administrateur !")+"</div>";
		pop+="<div id='centerbutton' onclick='idx_closepop();'>"+_translate("Annuler")+"</div>";
		pop+="</div>";
	}
	$("#popup").html(pop);
	inputfocus("fu_imdp");
}
function idx_importarchadm(archive)
{
	var mdp=$("#fu_imdp").val();
	if (mdp=="")
	{
		$('#fu_errproj').html(_translate("Mot de passe obligatoire !"));
		return;
	}
	$('#fu_errproj').html(_translate("Patientez")+"...");
	$('#fu_but').hide();
	$.post("idxutil.php",{command:"importproject",password:mdp,archivename:archive}, function (data) {
	var retour=_parse(data);
	if (retour[0]=="1")		window.open("index.php?opt=nosplash", '_self');
	else
	{
		$('#fu_errproj').html(retour[1]);
		$('#fu_but').show();
	}
	});
}
/* --- Archiver un projet --- */
function idx_archive(event)
{
	idx_closecontext();
	if (idx_closepop())	return;
	/* initialisation fenêtre */
	var		pop="";
	var 	namep=projlist[ProjectID-1];
	pop+="<h1>Archiver le projet</h1>";
	pop+="<h2>&laquo;&nbsp;"+namep+"&nbsp;&raquo;</h2>";
	/* mot de passe si besoin */
	if (ADMFlags&FLREST)
	{
		pop+="<div class='formuc' id='fu_dmdp'>"
		pop+="<div class='formu'><span class='tabspan'>"+_translate("Mot de passe administrateur")+"</span>";
		pop+="<input id='fu_imdp' type='password'></div>";
		pop+="</div>";
		/* Options */
		pop+="<div class='formu'><input id='fu_flag' type='checkbox'> "+_translate("Archiver les vidéos produites")+"</div>";
		pop+="<div class='formu'><input id='fu_flagsnd' type='checkbox' checked> "+_translate("Archiver les sons")+"</div>";
		/* Boutons */
		pop+="<div class='errordiv' id='fu_errproj'></div>";
		pop+="<div class='formu'>";
		pop+="<div id='leftbutton' onclick='idx_closepop();'>"+_translate("Annuler")+"</div>";
		pop+="<div id='rightbutton' onclick='idx_archvalid(\""+namep+"\");'>"+_translate("Valider")+"</div>";
		pop+="</div>";
	}
	else
	{
		pop+="<div class='formu'>";
		pop+="<div class='errordiv' id='fu_errproj'>"+_translate("L'archivage n'est possible que pour un administrateur !")+"</div>";
		pop+="<div id='centerbutton' onclick='idx_closepop();'>"+_translate("Annuler")+"</div>";
		pop+="</div>";
	}
	/* display */
	$("#popup").html(pop);
	$("#popup").show();
	inputfocus("fu_imdp");
}
var ArchCancel=false;
var ArchArchive=0;
var ArchIDX=0;
function idx_archvalid(namep)
{
	var mdp=$("#fu_imdp").val();
	if (mdp=="")
	{
		$('#fu_errproj').html(_translate("Mot de passe obligatoire !"));
		return;
	}
	if ($("#fu_flag").is(':checked'))		var flag=1;
	else													var flag=0;
	if ($("#fu_flagsnd").is(':checked'))		var flagsnd=2;
	else															var flagsnd=0;

	var pop="<h1>"+_translate("Archive du projet :")+" "+namep+"</h1>";
	pop+="<div id='arch-status' class='formu'>"+_translate("Veuillez patienter...")+"</div>";
	pop+="<div id='arch-progress' class='formu' style='display:none;'><progress style='width:100%' max='100' value='0' id='arch-bar'></progress></div>";
	pop+="<div id='arch-info' class='formu'></div>";
	pop+="<div id='arch-button' class='formu'></div>";
	$("#popup").html(pop);
	/* archivage demandé */
	$.post("idxutil.php",{command:"archproject",password:mdp,archflag:(flag|flagsnd),index:ProjectID}, function (data) {
	var retour=_parse(data);
	if (retour[0]=="1")
	{
		ArchCancel=false;
		ArchArchive=retour[1];
		ArchIDX=0;
		$('#arch-bar').attr("max",ArchArchive[4]);
		$("#arch-status").html(_translate("Archivage en cours..."));
		$("#arch-progress").show();
		$("#arch-button").html("<div id='centerbutton' onclick='idx_cancelarch();'>"+_translate("Annuler")+"</div>");
		idx_addArchive();
	}
	else
	{
		/* afficher l'erreur */
		$("#arch-status").html("<span style='color:red'>"+_translate("Erreur lors de la création de l'archive !")+"</span>");
		$("#arch-button").html("<div id='centerbutton' onclick='idx_closepop();'>"+_translate("Fermer")+"</div>");
	}
	});
}
/* boucle d'archive */
function idx_addArchive()
{
	if (ArchCancel)	return;
	var idx=ArchIDX+1;
	$('#arch-bar').val(idx);
	$('#arch-info').html(_translate("Scène")+" "+idx+"/"+ArchArchive[4]+" ("+ArchArchive[(4+idx)]+") "+_translate("erreur(s)")+" "+ArchArchive[3]);
	// Fin de la ballade ?
	if (idx>ArchArchive[4])
	{
		$("#arch-status").html(_translate("Fin de l'archivage !"));
		$("#arch-info").html("<a href='archives/' target='_blank'>"+_translate("Répertoire des archives")+"</a>");
		$("#arch-button").html("<div id='centerbutton' onclick='idx_closepop();'>"+_translate("Fermer")+"</div>");
	}
	else
	{
		//console.log(ArchArchive[5+ArchIDX]);
		$.post("idxutil.php",{command:"archivenext",archive:ArchArchive,index:ArchIDX}, function (data) {
			var retour=_parse(data);
			ArchArchive=retour[1];
			ArchIDX++;
			idx_addArchive();
		});
	}
}
/* Arrêter */
function idx_cancelarch()
{
			ArchCancel=true;
			$("#arch-status").html(_translate("Archivage stoppé"));
			$("#arch-button").html("<div id='centerbutton' onclick='idx_closepop();'>"+_translate("Fermer")+"</div>");
}
/* Fermer */
//		pop+="<div class='formu'>"+retour[1]+"</div>";
//		pop+="<h2><a href='archives/' target='_blank'>"+_translate("Répertoire des archives")+"</a></h2>";

/* --- Changer mot de passe -- */
function idx_chgmdp(event)
{
	idx_closecontext();
	if (idx_closepop())	return;
	/* initialisation fenêtre */
	var		pop="";
	var namep=projlist[ProjectID-1];
	pop+="<h1>"+_translate("Changer le mot de passe du projet")+"</h1>";
	pop+="<h2>&laquo;&nbsp;"+namep+"&nbsp;&raquo;</h2>";

	/* mot de passe si besoin */
	if ((ADMFlags&FLCHGPASS) && (ADMFlags&FLREST))
	{
		pop+="<div class='formuc' id='fu_dmdp'>"
		pop+="<div class='formu'><span class='tabspan'>"+_translate("Mot de passe administrateur")+"</span>";
		pop+="<input id='fu_imdp' type='password'></div>";
		pop+="</div>";
	}
	pop+="<div class='formuc'>"
	/* mot de passe */
	pop+="<div class='formu'><span class='tabspan'>"+_translate("Mot de passe du projet ou vide")+"</span>";
	pop+="<input id='fu_ipmdp' type='text'></div>";
	pop+="</div>";
	/* Boutons */
	pop+="<div class='errordiv' id='fu_errproj'></div>";
	pop+="<div class='formu'>";
	pop+="<div id='leftbutton' onclick='idx_closepop();'>"+_translate("Annuler")+"</div>";
	pop+="<div id='rightbutton' onclick='idx_chgvalid(event);'>"+_translate("Valider")+"</div>";
	pop+="</div>";
	/* display */
	$("#popup").html(pop);
	$("#popup").show();
	inputfocus("fu_imdp");
}
/* -- changer mot de passe projet -- */
function idx_chgvalid(event)
{
	var mdp=$("#fu_imdp").val();
	var pmdp=$("#fu_ipmdp").val();
	$('#fu_errproj').html("");
	/* changements demandés */
	$.post("idxutil.php",{command:"chgprojmdp",password:mdp,projmdp:pmdp,index:ProjectID}, function (data) {
	var retour=_parse(data);
	if (retour[0]=="1")
	{
		/* Afficher le nouveau rep */
		window.open("index.php?opt=nosplash", '_self');
	}
	else
	{
		/* afficher l'erreur */
		$('#fu_errproj').html(retour[1]);
	}
	});
}
/* --- Ouvrir un projet --- */
function idx_openproject(event,id)
{
	idx_closecontext();
	if (idx_closepop())	return;
	ProjectID=id;
	idx_openrequest("");
}
function idx_openmdp(event)
{
	idx_openrequest($("#fu_imdp").val());
}
function idx_openrequest(mdp)
{
	$.post("idxutil.php",{command:"openproj",password:mdp,index:ProjectID}, function (data) {
	var retour=_parse(data);
	switch (retour[0])
	{
		case "2":
			/* Ouvrir !, dans $_SESSION se trouve le nom */
			window.open("project.php", '_self');
			break;
		case "1":
			/* mot de passe demandé */
			var pop="";
			var namep=projlist[ProjectID-1];
			pop+="<h1>"+_translate("Ouvrir le projet")+"</h1>";
			pop+="<h2>&laquo;&nbsp;"+namep+"&nbsp;&raquo;</h2>";
			/* afficher message */
			if (retour[1])	pop+="<div class='errordiv' id='fu_errproj'>"+retour[1]+"</div>";
			pop+="<div class='formu'><span class='tabspan'>"+_translate("Mot de passe du projet :")+" </span>";
			pop+="<input id='fu_imdp' type='password'></div>";
			pop+="<div class='formu'>";
			pop+="<div id='leftbutton' onclick='idx_closepop();'>"+_translate("Annuler")+"</div>";
			pop+="<div id='rightbutton' onclick='idx_openmdp(event);'>"+_translate("Ouvrir")+"</div>";
			pop+="</div>";
			/* display */
			$("#popup").html(pop);
			$("#popup").show();
			inputfocus("fu_imdp");
			$('#popup').keypress(function(e){if (e.which==13) idx_openmdp(e)});
			break;
		case "2":
			var pop="";
			var namep=projlist[ProjectID-1];
			pop+="<h1>Erreur projet</h1>";
			pop+="<h2>&laquo;&nbsp;"+namep+"&nbsp;&raquo;</h2>";
			pop+="<div class='errordiv' id='fu_errproj'>"+retour[1]+"</div>";
			pop+="<div id='centerbutton' onclick='idx_closepop();'>"+_translate("Fermer")+"</div>";
			/* display */
			$("#popup").html(pop);
			$("#popup").show();
			break;
	}
	});
}
/* --- Nouveau projet --- */
function idx_newproject(event)
{
	idx_closecontext();
	if (idx_closepop())	return;
	/* initialisation fenêtre */
	var		pop="";
	pop=pop+"<h1>"+_translate("Ajouter un projet")+"</h1>";

	/* mot de passe si besoin */
	if ((ADMFlags&FLNEWPROJ) && (ADMFlags&FLREST))
	{
		pop+="<div class='formuc' id='fu_dmdp'>"
		pop+="<div class='formu'><span class='tabspan'>"+_translate("Mot de passe administrateur")+"</span>";
		pop+="<input id='fu_imdp' type='password'></div>";
		pop+="</div>";
	}
	pop+="<div class='formuc'>"
	/* nom du projet */
	pop+="<div class='formu'><span class='tabspan'>"+_translate("Nom du projet")+"</span>";
	pop+="<input id='fu_iname' type='text'></div>";
	/* mot de passe */
	pop+="<div class='formu'><span class='tabspan'>"+_translate("Mot de passe éventuel du projet")+"</span>";
	pop+="<input id='fu_ipmdp' type='text'></div>";
	pop+="</div>";
	/* Boutons */
	pop+="<div class='errordiv' id='fu_errproj'></div>";
	pop+="<div class='formu'>";
	pop+="<div id='leftbutton' onclick='idx_closepop();'>"+_translate("Annuler")+"</div>";
	pop+="<div id='rightbutton' onclick='idx_newvalid(event);'>"+_translate("Valider")+"</div>";
	pop+="</div>";
	/* display */
	$("#popup").html(pop);
	$("#popup").show();
	if (!inputfocus("fu_imdp"))	inputfocus("fu_iname");
	$('#popup').keypress(function(e){if (e.which==13) idx_newvalid(e)});
}
function idx_newvalid(event)
{
	var mdp=$("#fu_imdp").val();
	var pmdp=$("#fu_ipmdp").val();
	var	name=$("#fu_iname").val();
	$('#fu_errproj').html("");

	name=name.replace(/"/g,"");		// chars interdits
	name=name.replace(/>/g,"");		// chars interdits
	name=name.replace(/</g,"");		// chars interdits
	name=name.replace(/`/g,"");		// chars interdits
	$("#fu_iname").val(name);

	// réduire à 20 chars max
	var filtred=name.substr(0,20);
	filtred=filtred.replace(/ /g,"_");
	filtred=filtred.replace(/'/g,"");
	filtred=replaceDiacritics(filtred);
	if ((name=="") || (filtred==""))
	{
		$("#fu_errproj").html(_translate("Le nom n'est pas valide !"));
		return;
	}
	/* changements demandés */
	$.post("idxutil.php",{command:"newproject",password:mdp,projmdp:pmdp,pname:name,dname:filtred}, function (data) {
	var retour=_parse(data);
	if (retour[0]=="1")
	{
		/* Afficher le nouveau rep */
		window.open("index.php?opt=nosplash", '_self');
	}
	else
	{
		/* afficher l'erreur */
		$('#fu_errproj').html(retour[1]);
	}
	});
}
function idx_closepop()
{
	if ($("#popup").css('display') == "block")
	{
		$('#popup').keypress("");
		if(TAon)
		{
			clearInterval(TAon);
			TAon=0;
			PINGtask=setInterval(ps_ping,10000);
		}
		$("#popup").hide();
		return true;
	}
	return false;
}

/* --- Configuration --- */
var NewADMFlags=0;
var NewLng="";
function idx_configuration(event)
{
	if ($("#popup").css('display') == "block")
	{
		$("#popup").hide();
		return;
	}
	/* initialisation fenêtre */
	var		pop="";
	pop=pop+"<h1>"+_translate("Configuration")+"</h1>";

	pop+="<div class='formuc' id='fu_dmdp'>"
	pop+="<div class='formu'><span class='tabspan'>"+_translate("Mot de passe administrateur")+"</span>";
	pop+="<input id='fu_imdp' type='password'></div>";
	pop+="<div class='errordiv' id='fu_errmdp'></div>";
	pop+="</div>";

	pop+="<div class='formu' id='fu_drest'>";
	pop+="<div class='lego'><input id='fu_irest' type='checkbox' onchange='idx_changeflg("+FLREST+");'> "+_translate("Restrictions");
	pop+="</div>";
	pop+=pam_imgselector(_translate("Langue"),ADMlngtab,ADMlng,"js_chglng","js_lng");
	pop+="<div class='lego'>"+_translate("(redémarrage nécessaire)")+"</div>";
	pop+="</div>";

	pop+="<div class='formuc' id='fu_dchgmdp'>"
	pop+="<h2>"+_translate("Création / changement mot de passe")+"</h2>";
	pop+="<div class='formu'><span class='tabspan'>"+_translate("Nouveau mot de passe")+"</span>";
	pop+="<input id='fu_ichgmdp1' type='password'></div>";
	pop+="<div class='formu'><span class='tabspan'>"+_translate("Répéter mot de passe")+"</span>";
	pop+="<input id='fu_ichgmdp2' type='password'></div>";
	pop+="<div class='errordiv' id='fu_err'></div>";
	pop+="</div>";

	pop+="<div class='formuc' id='fu_dflags'>";
	pop+="<h2>"+_translate("Restrictions")+"</h2>";
	pop+="<div class='formu'>"+_translate("Mot de passe administrateur pour :")+"</div>";
	pop+="<div class='formu'><input id='fu_flag3' type='checkbox' onchange='idx_changeflg("+FLNEWPROJ+");'> "+_translate("Créer un projet")+"</div>";
	pop+="<div class='formu'><input id='fu_flag7' type='checkbox' onchange='idx_changeflg("+FLCHGPASS+");'> "+_translate("Changer mot de passe projet")+"</div>";
	pop+="<div class='formu'><input id='fu_flag4' type='checkbox' onchange='idx_changeflg("+FLDELPROJ+");'> "+_translate("Effacer un projet")+"</div>";
	pop+="<div class='formu'><input id='fu_flag5' type='checkbox' onchange='idx_changeflg("+FLDELSCENE+");'> "+_translate("Supprimer des scènes")+"</div>";
	pop+="<div class='formu'>"+_translate("Permission spéciale :")+"</div>";
	pop+="<div class='formu'><input id='fu_flag6' type='checkbox' onchange='idx_changeflg("+FLDIRECT+");'> "+_translate("Autoriser paramètres de rendu avancés")+"</div>";
	pop+="</div>";

	pop+="<div class='formu'>";
	pop+="<div id='leftbutton' onclick='idx_configuration(event);'>"+_translate("Annuler")+"</div>";
	pop+="<div id='rightbutton' onclick='idx_valid(event);'>"+_translate("Valider")+"</div>";
	pop+="</div>";
	/* display */
	$("#popup").html(pop);
	idx_showflags(ADMFlags);
	NewADMFlags=ADMFlags;
	NewLng=ADMlng;
	$("#popup").show();
	inputfocus("fu_imdp");
}
function js_chglng()
{
	NewLng=$("#js_lng").val();
	$("#js_lng").css("background-image","url('lng/"+NewLng+"/"+NewLng+".png')");
	//console.log(NewLng);
}
/* compositeur de sélection */
function pam_imgselector(txt,lst,val,func,id)
{
	var back="style='background:url(\""+"lng/"+val+"/"+val+".png\") no-repeat;background-size:2em 100%;padding-left:2em;width:5em;background-color:gray;'";
	var retour="";
	retour+= "<div class='lego'><label>"+txt+"&nbsp;: ";
	retour+="<SELECT "+back+" id='"+id+"' value='"+val+"' onchange='"+func+"();'>";
	lst.forEach(function (elem) {
		if (val==elem)	retour+="<OPTION selected>"+elem;
		else				retour+="<OPTION>"+elem;
	});
	retour+="</SELECT></label></div>";
	return retour;
}
// changer flags temporaires
function idx_changeflg(flag)
{
	if (NewADMFlags&flag)	NewADMFlags^=flag;
	else					NewADMFlags|=flag;
	idx_showflags(NewADMFlags);
}
// ouvrir fermer les cadres
function idx_showflags(flags)
{
	/* mot de passe principal */
	if (ADMFlags&FLREST)	$('#fu_dmdp').show();
	else					$('#fu_dmdp').hide();


	/* Cacher afficher selon les flag ADMFlags*/
	if (!(flags&FLREST))
	{
		$('#fu_dflags').hide();
		$('#fu_dchgmdp').hide();
		$('#fu_irest').prop('checked',false);
	}
	else
	{
		$('#fu_irest').prop('checked',true);
		$('#fu_dflags').show();
		$('#fu_dchgmdp').show();
	}

	/* Flags */
	if (flags&FLNEWPROJ)	$('#fu_flag3').prop('checked',true);
	else					$('#fu_flag3').prop('checked',false);
	if (flags&FLDELPROJ)	$('#fu_flag4').prop('checked',true);
	else					$('#fu_flag4').prop('checked',false);
	if (flags&FLDELSCENE)	$('#fu_flag5').prop('checked',true);
	else					$('#fu_flag5').prop('checked',false);
	if (flags&FLDIRECT)		$('#fu_flag6').prop('checked',true);
	else					$('#fu_flag6').prop('checked',false);
	if (flags&FLCHGPASS)	$('#fu_flag7').prop('checked',true);
	else					$('#fu_flag7').prop('checked',false);
}
// Valider saisie
function idx_valid(event)
{
	/* valider changement mot de passe */
	var chgmdp="";
	var admmdp=$("#fu_imdp").val();
	$('#fu_err').html("");
	$('#fu_errmdp').html("");

	if ($('#fu_mdp').css('display')!='none')
	{
		var mdp1=$('#fu_ichgmdp1').val();
		var mdp2=$('#fu_ichgmdp2').val();
		if (mdp1!=mdp2)	{
			$('#fu_err').html(_translate("Les mots de passe ne sont pas identiques !"));
			return;
		}
		else					chgmdp=mdp1;
		if ((NewADMFlags&FLREST) && admmdp=="" && mdp1=="")
		{
			$('#fu_err').html(_translate("Mot de passe obligatoire !"));
			return;
		}
	}
	//console.log(NewLng);
	/* changements demandés */
	$.post("idxutil.php",{command:"chgconfig",mdp:admmdp,newmdp:chgmdp,flags:NewADMFlags,lang:NewLng}, function (data) {
	var retour=_parse(data);
	if (retour[0]=="1")
	{
		ADMFlags=NewADMFlags;
		idx_configuration(event);
	}
	else
	{
		$('#fu_errmdp').html(retour[1]);
	}
	});
}
/*---- Ping ----*/
var PINGdate=0;
function ps_ping()
{
	// début ping
	PINGdate=Date.now();
	// Afficher icône serveur
	$("#titleright").css("background-image","url('data/adm/ctcchk.svg')");
	// envoi ping
	$.post("idxping.php",{command:"ping"})
	.done(function (data) {
	var retour=JSON.parse(data);
	var	ping=Date.now()-PINGdate;
	if (retour[1]=="pong")
	{
		$("#titleright").html(ping+" ms");
		$("#titleright").css("background-image","url('data/adm/ctcok.svg')");
	}
	else
	{
		$("#titleright").html("erreur");
		$("#titleright").css("background-image","url('data/adm/ctcerr.svg')");
	}
		
	})
	.fail (function (data) {
		$("#titleright").html("err. serveur");
		$("#titleright").css("background-image","url('data/adm/ctcerr.svg')");
	});
	setTimeout(function (){
		$("#titleright").css("background-image","url('data/adm/ctcoff.svg')");
		},2000);
}
/* fonction parse sécurisée */
function _parse(string)
{
	try {
	return	JSON.parse(string);
	} catch (e) {
	console.log(e.message);
	console.log(string);
	alert("Internal error : "+string);
	return false;
	}
}
/*----------------- Préparation de la page ------------------*/
var PINGtask=0;
function ps_ready()
{
	ps_resize();
	ps_ping();
	PINGtask=setInterval(ps_ping,10000);
	/*$('body').keypress(function(e){
    if (e.which==13){
		idx_configuration(e);
    }
	});*/
}
function ps_resize()
{
	var h=$(window).height();
	$("#maindiv").height(h);
}
/* Mise en place des scripts automatiques */
$(document).ready(ps_ready);
$(window).resize(ps_resize);