<?php
// convertir de png en svg
function convertsvg($dir,$name)
{
	$svg=pathinfo($name);
	if ($svg['extension']!='svg')	return $name;
	// convertir
	$new=up_getname($dir,$svg['filename'].".png");
	//exec (PS_CONVCMD." -background none $dir/$name $dir/$new");
	exec (PS_PATH."inkscape --file=\"$dir/$name\" --export-png=\"$dir/$new\"");
	unlink ("$dir/$name");
	return $new;
}
// fabriquer miniature
function do_xs($dir,$picturename)
{
	$newname="xs-$picturename";
	if (!file_exists($dir.$newname)) exec(PS_CONVCMD." $dir$picturename -resize x64 $dir$newname");

	if (PS_USEXL)
	{
		$newname="xl-$picturename";
		if (!file_exists($dir.$newname))
		{
			$size=getimagesize($dir.$picturename);
			if ($size[0]>PS_USEXL || $size[1]>PS_USEXL)
			{
				rename($dir.$picturename,$dir.$newname);
				if ($size[0]>=$size[1])	$resize=PS_USEXL."x";
				else						$resize="x".PS_USEXL;
				exec(PS_CONVCMD." $dir$newname -resize $resize $dir$picturename");
			}
		}
	}
}
// couper l'image à la bonne taille
function do_trim($name)
{
	$getext=pathinfo($name);
	if ($getext['extension']=="png" || $getext['extension']=="PNG")
	{
		$define=" -define png:compression-filter=2 -define png:compression-level=9 -define png:compression-strategy=0 ";
		exec (PS_CONVCMD." $define -bordercolor transparent -border 1x1 -trim +repage -border 5%x5% +repage $name -fx 'a==0 ? 0 : u' $name");
		//exec (PS_CONVCMD." -bordercolor transparent -border 1x1 -trim +repage $name $name");
		//exec (PS_CONVCMD." -bordercolor transparent -border 5%x5% +repage $name $name");		// pour flou !
		//exec (PS_CONVCMD." $name  -fx 'a==0 ? 0 : u'  $name");
	}
}
// renommer doublons
function up_getname($dir,$name)
{
	$idx=2;
	$oldname=pathinfo($name);
	while (file_exists($dir.$name))
	{
		$name=$oldname['filename']."-".$idx.".".$oldname['extension'];
		$idx++;
	}
	return $name;
}
// renommer doublons
function up_getidx($dir,$name,$ext)
{
	$idx=2;
	$newidx="";
	while (file_exists($dir.$name.$newidx.$ext))		$newidx="-".$idx++;
	return $newidx;
}
// extension en minuscule
function up_lowerExt($name)
{
	$ntab=explode(".",$name);
	$last=count($ntab)-1;
	$ntab[$last]=strtolower($ntab[$last]);
	$name=implode(".",$ntab);
	return $name;
}
/* Composition de la wave form */
function do_wave($dir,$name,$newname)
{
	// réencodage
	shell_exec(PS_FFCMD." -i $dir$name $dir$newname");
	unlink($dir.$name);
	// convertir nom fichier son
	$spname=str_replace(".","_",$newname);
	$output = shell_exec("ffprobe -v quiet -print_format json -show_format \"$dir$newname\"");

	// paramètres
	$params=json_decode($output);
	
	$len=$params->format->duration;
	$start=$params->format->start_time;

	// fichier info
	file_put_contents("$dir/$spname.info","$newname\n$spname\n$len\n$start\n0");

	// tailles 20 / 40 / 60 / 80
	// hauteur 70px
	do_wavepic($dir,$newname,$spname,$len,20);
	do_wavepic($dir,$newname,$spname,$len,40);
	do_wavepic($dir,$newname,$spname,$len,60);
	do_wavepic($dir,$newname,$spname,$len,80);
	return true;
}
function do_wavepic($dir,$name,$spname,$len,$width)
{
	$len=intval($len);
	$cmdline=PS_FFCMD." -i $dir/$name -lavfi showwavespic=split_channels=0:colors=#1111AA:s=".($width*$len)."x70 $dir/S$width-$spname.png";
	exec($cmdline);
}
?>