<!DOCTYPE html>
<html>
<head>
<link rel="icon" type="image/png" href="data/psicona.png" />
<?php
/*
	Picstory v1.2
	Thomas Pimmel 2018
*/
session_name('index'); 
session_start();
require ("include/cfg.php");
require ("lng/lng.php");
if (isset($_GET['lng']))	$ADMlng=$_GET['lng'];
else						$ADMlng="fr";
CreateLang($ADMlng);		//($ADMlng);
print("<title>Picstory : "._translate("démonstration")."</title>");
?>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="data/idx.css" rel="stylesheet" type="text/css">
<link href="data/project.css" rel="stylesheet" type="text/css">
<?php
loadjs("js/jquery-3.3.1");
loadjs("js/jquery.md5");
loadjs("lng/lng");
loadjs("js/filter");
loadjs("js/infobulle");
$ADMFlags=0;
$ADMMdp="";
?>
</head>
<body>
<?php
/* avertissement */
	print("<div style='opacity:.6;animation:none;background-image:url(\"data/logofond.png\")' id='centerlogo'>");
	print('<div style="position:absolute;bottom:0px;">Picstory (c) Thomas Pimmel 2017-2018</div>');
	print("</div>");

print("<h1>Picstory  : "._translate("démonstration")." (v".PS_VERSION.".3)</h1>");
print("<div class='legoblock'>");
print(_translate("Ceci est une démonstration de l'éditeur de Picstory. La version normale permet d'importer ses propres images et de créer des vidéos au format mp4. Picstory est un projet libre et gratuit, vous pouvez l'installer sur un serveur et profiter de bien d'autres fonctionnalités."));
print("<div class='legoblock'>"._translate("Retrouvez Picstory sur : ")."<a target='_blank' href='https://ratlerie.be/'>http://ratlerie.be</a></div>");
print("<div class='legoblock'>"._translate("Liste des scènes en démonstration :")."</div></div>");
/* scan de la liste des scenes de demo */
$scenes=scandir("projects/demo");
print("<div class='legoblock' style='font-size:1.2em;'>");
for ($i=0;$i<count($scenes);$i++)
{
	$scene=$scenes[$i];
	if (file_exists("projects/demo/$scene/anim.name"))
	{
		$name=file_get_contents("projects/demo/$scene/anim.name");
		print("<div class='lego' style='text-align:center'>");
		print("<a target='_self' href='ps_picstory.php?scene=$scene&lng=$ADMlng'><img style='height:64px;' src='projects/demo/$scene/xs-$scene.jpg'/><div>$name</div></a>");
		print("</div>");
	}
}
print("</div>");
/* liste des projets */
/* pied de page */
// Lister d'autres langues
$liste=scandir("lng");
print("<div class='legoblock'>"._translate("Picstory dans une autre langue :")."</div>");
print("<div class='legoblock'>");
for($i=0;$i<count($liste);$i++)
{
	$l=$liste[$i];
	if (is_dir("lng/$l") && $l!='.' && $l!='..')
	{
		print("<div class='lego'><a target='_self' href='index.php?lng=$l'><img class='demoflag' src='lng/$l/$l.png'> $l</a></div>");
	}
}
print("</div>");
?>
</body>
</html>
<?php
/* chargement des javascript */
function loadjs($js)
{
	if (file_exists("$js.min.js"))	print("<script src='$js.min.js'></script>\n");
	else							print("<script src='$js.js'></script>\n");
}
?>
