/* Montage de la vidéo */
function mnt_openWindow()
{
	if (pj_closepop())	return;
	$('#popup').css("overflow","hidden");
	 mnt_isdraged=false;
	var pop="";
	pop+="<h1>"+_translate("Montage de la vidéo")+"</h1>";
	pop+="<div class='legoblock'>";
	pop+="<div class='lego' style='width:70px'><img src='data/square/movediting.svg' width='100%'></div>"
	pop+="<div class='lego'>"+_translate("Choisissez les scènes pour le montage final")+"</div>";
	pop+="</div>";
	/* Listes */
	// source
			pop+="<div id='hideme'>";
			pop+="<div id='draggy' style='position:relative;height:0;width:0;overflow:visible'></div>"
			pop+="<div class='listmnt' id='mntsrc'><div id='innermntsrc' class='listeinner'>";
			// liste des scènes
			//$retour[]=array(1,$entry,$name,$lock,$pic,$video,$date,pj_getzero("$drawer/$entry"));
			for (var i=2;i<PJSceneList.length;i++)
			{
				if (PJSceneList[i][4])	var style="style='background-image:url(\"projects/"+PJProject+"/"+PJSceneList[i][1]+"/"+"xs-"+PJSceneList[i][1]+".jpg\")'";
				else								var style="style='background-position:top'";
				pop+="<div id='lstsrc-"+i+"' ontouchstart='mnt_Start(event,"+i+",0);' onmousedown='mnt_Start(event,"+i+",0);' class='linemnt' "+style+">";
				if (PJSceneList[i][5])		var pic="data/newicons/mnt_ok.svg";
				else									var pic="data/newicons/mnt_bad.svg";
				pop+="<img src='"+pic+"'>"
				pop+="<span>"+PJSceneList[i][2]+" ("+PJSceneList[i][7].length+"\')</span>";
				pop+="</div>";
			}
			pop+="</div></div>";
	// destination
			pop+="<div class='listmnt' id='mntdst'><div id='innermntdst' class='listeinner'>";
			pop+="</div></div>";
			pop+="</div>";	 // hideme
	/* dialogue */
	pop+="<div class='legoblock' id='fu_info'></div>";
	pop+="<div class='sqbutton' onclick='pj_closepop();'>"+_translate("Fermer")+"</div>";
	pop+="<div class='sqbutton' onclick='mnt_info();'>"+_translate("Informations")+"</div>";
	pop+="<div class='sqbutton' onclick='mnt_save(0);'>"+_translate("Enregistrer")+"</div>";
	pop+="<div class='sqbutton' onclick='mnt_save(1);'>"+_translate("Montage")+"</div>";
	/* display */
	$("#popup").html(pop);
	ShowPop(true);
	mnt_getList();
	//event.preventDefault();
}
// Information
function mnt_info()
{
	if ($('#hideme').css("display")=="none")
	{
		mnt_closeinf();
		return;
	}
	// composer liste
	var i=0;
	var data="";
	while (MNTmntList[i])
	{
		var idx=MNTmntList[i++][0];
		data+=PJSceneList[idx][1]+"\n";
	}
	$.post("pjutil.php",{command:"infomnt",mntlist:data}, function (data) {
		var retour=_parse(data);
		if (retour[0]==1)	$("#fu_info").html(retour[1]);
	});
	$("#popup").css("overflow","auto");
	$('#hideme').hide();
}
function mnt_closeinf()
{
	$("#fu_info").html("");
	$('#hideme').show()
	$("#popup").css("overflow","hidden");
}
// Montage
function mnt_save(domnt)
{
	// composer liste
	var i=0;
	var data="";
	while (MNTmntList[i])
	{
		var idx=MNTmntList[i++][0];
		data+=PJSceneList[idx][1]+"\n";
	}
	$("#fu_info").html(_translate("Patientez")+"...");
	$.post("pjutil.php",{command:"savemnt",mntlist:data,action:domnt}, function (data) {
		var retour=_parse(data);
		if (retour[0]==1)
		{
			var message=_translate("Liste de montage sauvegardée");
			if (domnt)
			{
				PJSceneList[1][5]=true;
				pj_selectscene(0,1);
				pj_selectscene(0,1);
				message+="<br>"+_translate("Vidéo du projet réalisée !");
			}
			$("#fu_info").html(message);
		}
		else						$("#fu_info").html(retour[1]);
	});
}
// chercher liste déjà rédigée si elle existe
var MNTmntList;
var MNTlastidx;
function mnt_getList()
{
	$.post("pjutil.php",{command:"listmnt"}, function (data) {
		var retour=_parse(data);
		var html="";
		var j,i,idx;
		if (retour[0]==1)
		{
			var liste=retour[1];
			MNTmntList=new Array();
			idx=i=0;
			while (liste[i])
			{
				j=mnt_foundScene(liste[i]);
				if (j)
				{
					MNTmntList[idx]=new Array(j,idx);		// idx = index unique
					if (PJSceneList[j][4])	var style="style='background-image:url(\"projects/"+PJProject+"/"+PJSceneList[j][1]+"/"+"xs-"+PJSceneList[j][1]+".jpg\")'";
					else								var style="style='background-position:top'";
					html+="<div id='lstdst-"+idx+"' ontouchstart='mnt_Start(event,"+idx+",1);' onmousedown='mnt_Start(event,"+idx+",1);' class='linemnt' "+style+">";
					if (PJSceneList[j][5])		var pic="data/newicons/mnt_ok.svg";
					else									var pic="data/newicons/mnt_bad.svg";
					html+="<img src='"+pic+"'>"
					html+="<span>"+PJSceneList[j][2]+" ("+PJSceneList[j][7].length+"\')</span>";
					html+="</div>";
					idx++;
				}
				i++;
			}
			MNTlastidx=idx;
			if (html=="")	html="<span style='font-style:italic;color:rgb(170,170,170);'>"+_translate("Déposez ici les scènes à monter")+"</span>";
			$("#innermntdst").html(html);
		}
	});
}
function mnt_foundScene(scene)
{
	var i=2;
	while (PJSceneList[i] && scene!=PJSceneList[i][1])		i++;
	if (PJSceneList[i])	return i;
	else							return 0;
}
// drag & drop
var MNTtype;
var MNTid;
var MNTx;
var MNTy;
var MNTprev;
var MNTstarty;
var MNTstartx;
var MNTobj;
var MNTsave;
function mnt_Start(ev,id,dst)
{
	if (MNTtype)	return;
	ev.preventDefault();
	if (ev.buttons==1)
	{
		MNTtype=1;
		MNTx=ev.clientX;
		MNTy=ev.clientY;
		$(document).on("mouseup",mnt_End);
		$(document).on("mousemove",mnt_Move);
		$(document).on("mouseleave",mnt_Cancel);
	}
	else if (ev.touches!=undefined)
	{
		MNTtype=2;
		PSMx=ev.touches[0].pageX;
		PSMy=ev.touches[0].pageY;
		$(document).on("touchend",mnt_End);
		$(document).on("touchmove",mnt_Move);
		$(document).on("touchcancel",mnt_Cancel);
	} else return;
	MNTdst=dst;
	MNTid=id;
	// changer nature du div
	if (dst)
	{
		MNTobj=$("#lstdst-"+id);
		MNTstarty=MNTobj.position().top-$("#mntdst").scrollTop();
		MNTstartx=$("#mntsrc").width();
		var w=MNTobj.width();
		MNTsave=MNTmntList[getTabIdx(id)];
		deleteid(id);
	}
	else	
	{
		// dupliquer l'objet
		var idx=MNTlastidx++;
		MNTsave=new Array(id,idx);
		var html="";
		if (PJSceneList[id][4])	var style="style='background-image:url(\"projects/"+PJProject+"/"+PJSceneList[id][1]+"/"+"xs-"+PJSceneList[id][1]+".jpg\")'";
		else									var style="";

		html+="<div id='lstdst-"+idx+"' ontouchstart='mnt_Start(event,"+idx+",1);' onmousedown='mnt_Start(event,"+idx+",1);' class='linemnt' "+style+">";
		if (PJSceneList[id][5])		var pic="data/newicons/mnt_ok.svg";
		else										var pic="data/newicons/mnt_bad.svg";
		html+="<img src='"+pic+"'>"
		html+="<span>"+PJSceneList[id][2]+" ("+PJSceneList[id][7].length+"\')</span>";
		html+="</div>";
		// Création
		MNTobj=$(html);
		MNTstarty=$("#lstsrc-"+id).position().top-$("#mntsrc").scrollTop();
		MNTstartx=0;
		var w=$("#lstsrc-"+id).width();
	}
	MNTobj.css({position:"absolute",width:w+"px",height:"50px",left:MNTstartx,top:MNTstarty,zIndex:50,opacity:.8});
	MNTprev=MNTobj.prev();
	$("#draggy").append(MNTobj);
	mnt_Move(ev);
}
function mnt_Move(ev)
{
	var psmx,psmy;
	if (MNTtype==2)
	{
			psmx=ev.touches[0].pageX;
			psmy=ev.touches[0].pageY;
	}
	else
	{
		psmx=ev.clientX;
		psmy=ev.clientY;
	}
	MNTobj.css({top:(psmy-MNTy+MNTstarty)+"px",left:(psmx-MNTx+MNTstartx)+"px"});
}
function mnt_Cancel()
{
	/* fin des events si mouseup ou touchend */
	if (MNTtype==2)
	{
		$(document).off("touchend");
		$(document).off("touchmove");
		$(document).off("touchcancel");
	}
	else
	{
		$(document).off("mouseup");
		$(document).off("mousemove");
		$(document).off("mouseleave");
	}
	MNTtype=0;
	if (MNTobj==0)		return;
	MNTobj.css({position:"",width:"",height:"",top:"",left:"",zIndex:"",opacity:""});
}
function mnt_End(ev)
{
	var psmx,psmy;
	if (MNTtype==2)
	{
			psmx=ev.touches[0].pageX;
			psmy=ev.touches[0].pageY;
	}
	else
	{
		psmx=ev.clientX;
		psmy=ev.clientY;
	}
	// chercher zone d'atterrisage
	var id=mnt_getZone(psmx,psmy);
	if (id!=-1)
	{
		var last=MNTmntList.length;
		if (id==last)
		{
			// création du tableau après
			if (MNTmntList.length==0)	$("#innermntdst").html("");
			MNTmntList[last]=MNTsave;
			$("#innermntdst").append(MNTobj);
		}
		else
		{
			// Création du tableau en lieu et place
			MNTmntList.splice(id,0,MNTsave);
			if (id==0) $("#innermntdst").prepend(MNTobj);
			else		$(MNTobj).insertAfter($("#lstdst-"+MNTmntList[id-1][1]));
		}
	}
	else
	{
		MNTobj.remove();
		MNTobj=0;
	}
	mnt_Cancel();
}
// détruire un élément du tableau
function deleteid(id)
{
	var i=getTabIdx(id);
	if (i!=-1)	MNTmntList.splice(i,1);
}
// renvoyer l'index tableau qui correspond à l'id jquery
function getTabIdx(id)
{
	var i=0;
	while (MNTmntList[i] && MNTmntList[i][1]!=id)	i++;
	if (MNTmntList[i]!=undefined)		return i;
	else													return -1;
}
// trouver zone atterissage d'un objet
function mnt_getZone(psmx,psmy)
{
	// regarder si dans dst
	var dx,dy,dw,dh;
	dx=$("#mntdst").offset().left;
	dy=$("#mntdst").offset().top;
	dw=$("#mntdst").width()+dx;
	dh=$("#mntdst").height()+dy;
	//console.log(dx+"/"+dy+"/"+dw+"/"+dh+"/"+MNTx+"/"+MNTy);
	if (psmx>=dw || psmy>=dh || psmx< dx || psmy<dy)		return -1;
	// comparer avec le tableau
	var liste=MNTmntList;
	var i=0;
	while (MNTmntList[i]  && psmy>($("#lstdst-"+MNTmntList[i][1]).offset().top+25) ) i++;
	return i;
}