<!DOCTYPE html>
<html>
<head>
<?php
/*
	Picstory v1.20
	Thomas Pimmel 2017/2018
*/
session_name('pst2'); 
session_start();
if ( (!isset($_POST['prjscene'])||!isset($_POST['prjproject'])) && (!isset($_GET['lng']) || !isset($_GET['scene'])) )
{
	header("Location:index.php");
	exit();
}
require ("include/cfg.php");
/* variables selon démo ou prod */
if (isset($_GET['scene']))
{
	$ADMlng=$_GET['lng'];
	$ADMFlags=0;
	$ADMMdp="";
	$_SESSION['PSscene']=$_GET['scene'];
	$_SESSION['PSproject']="demo";
	$_SESSION['PSdemo']=true;
	print("<script>var PSdemo=true;</script>");
}
else
{
	require ("projects/users.php");
	$_SESSION['PSscene']=$_POST['prjscene'];
	$_SESSION['PSproject']=$_POST['prjproject'];
	$_SESSION['PSdemo']=false;
	print("<script>var PSdemo=false;</script>");
	// mise en place du lock
	file_put_contents("projects/".$_SESSION['PSproject']."/".$_SESSION['PSscene']."/anim.lock",time());
}
require ("lng/lng.php");
CreateLang($ADMlng);
  /* Point du menu */
  // utilisateur et projet
$_SESSION['PSwidth']=800;
$_SESSION['PSheight']=800*9/16;
print("<title>Picstory : "._translate("éditeur")."</title>");
?>
<link rel="icon" type="image/png" href="data/psicona.png" />
<link href="data/style.css" rel="stylesheet" type="text/css">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<script>
	<?php
	print("var PSmethod=[".PS_METHODS."];");
	print("var ps_usexs=true;");
	if (PS_WINDOWS)			print("var ps_windows=true;");
	else					print("var ps_windows=false;");
	print("var PSproject='".$_SESSION['PSproject']."';");
	print("var PSscene='".$_SESSION['PSscene']."';");
	print("var prev_width=".$_SESSION['PSwidth'].";");		// taille de la preview
	print("var prev_height=".$_SESSION['PSheight'].";");
	print("var PSflags=$ADMFlags;");
	print("</script>");
	loadjs("js/jquery-3.3.1");
	loadjs("js/jquery.md5");
	loadjs("lng/lng");
	loadjs("js/infobulle");
	loadjs("js/ps_zero");
	loadjs("js/ps_picstory");
	loadjs("js/ps_effects");
	loadjs("js/ps_anim");
	loadjs("js/ps_saveproj");
	loadjs("js/ps_lineobject");
	loadjs("js/ps_mouse");
	print("</head>
	<body>
	<audio id='ps-audio' preload='auto'></audio>
	<div id='div-drag'></div>
	<div id='div-main'>");
// dimension de la preview
print('<div id="div-preview" onwheel="psm_wheel(event);" ontouchstart="psm_Start(event,-2);" onmousedown="psm_Start(event,-2);" style="width:'.$_SESSION['PSwidth'].'px;height:'.$_SESSION['PSheight'].'px">');
print('<div id="div-zoom" style="overflow:visible;">');
?>
</div>
<div id="div-zoomborder"></div>
<div id="effect-preview-parent">
</div>
<div id="effect-preview">
</div>
</div>
<?php
// * bouton de commandes *//
print("<div id='div-button'>
		<div class='duplo'>");
			util_addsvgimgbut("main-save","ps_save2","ps_saveProject",_translate("Sauver la scène"));
			util_addsvgimgbut("main-video","ps_film","ps_renderFilm",_translate("Créer le film"));
			util_addsvgimgbut("main-photo","ps_photo","ps_renderPhoto",_translate("Réaliser un instantané"));
			$photo="projects/".$_SESSION['PSproject']."/".$_SESSION['PSscene']."/".$_SESSION['PSscene'].".jpg";
			util_addimglink("view-photo","viewphoto",$photo,file_exists($photo),_translate("Voir l'instantané"));
			util_addsvgimgbut("main-exit","ps_exit","ps_exit",_translate("Quitter l'éditeur"));
			util_addsvgimgbut("main-sound","wa_mute","wa_soundit",_translate("Activer  / désactiver le son"));
			util_addsvgimgbut("main-editsnd","wa_edit","wa_sounded",_translate("Éditer le son"));
print("</div>
		<div id='zoom-table' style='top:0px' class='duplo'><input id='range-zoom' type='range' min='25' max='400' value='100' 	oninput='psm_zoomzoom();'>
		</div>
		<span id='range-text'>100%</span>");
print("<div class='duplo'>");
			util_addsvgimgbut("zoom-center","ps_center2","psm_center",_translate("Vue de la caméra"));
print("</div>");
print("<div id='sysmsg'></div>");
if ($_SESSION['PSdemo'])		print("<div id='server' style='background-image:url(\"data/adm/ctcdemo.svg\")'></div>");
else							print("<div id='server'></div>");
print("
	 </div>

	<div id='div-timeline-buttons'>");
	util_timelinebuts("ef-lock","ef_lock","ef_lockEffect",_translate("Bloquer/débloquer déplacement des signets"));
	util_timelinebuts("si-loupe","si_loupe40","ps_tl_loupe",_translate("Augmenter / diminuer l'échelle du temps"));
	print("<div class='timelineTAB' style='width:7px;background-image:url(\"data/newicons/tab.svg\");'></div>");
	util_timelinebuts("bprevious","tl_previous","ps_tl_setmin",_translate("Aller au début"));
	util_timelinebuts("bbackward","tl_rewind","ps_tl_setprev",_translate("Signet précédent"));
	util_timelinebuts("bpplay","tl_play","ps_animInit",_translate("Jouer/Stopper l'animation"));
	util_timelinebuts("bforward","tl_forward","ps_tl_setnext",_translate("Signet suivant"));
	util_timelinebuts("bnext","tl_next","ps_tl_setmax",_translate("Aller à la fin"));
	print("<div class='timelineTAB' style='width:7px;background-image:url(\"data/newicons/tab.svg\");'></div>");
	util_timelinebuts("baddeffect","si_add","ps_addEffect",_translate("Ajouter un signet"));
	print("<div id='tl_copycommand' class='tl_intime'>");
		util_timelinebuts("bmark","si_selection","ps_markEffect",_translate("Début/fin d'une sélection"));
		util_timelinebuts("brepeffect","si_copy","ps_repeatEffect",_translate("Répéter la sélection"));
		util_timelinebuts("bremeffect","si_del","ps_removeEffect",_translate("Effacer la sélection"),"ondblclick");
	print("</div>");
	print("<div id='tl_lngcommand' class='tl_intime'>");
		print("<div class='timelineTAB' style='width:7px;background-image:url(\"data/newicons/tab.svg\");'></div>");
		print("<div class='tl_intime'><input type='number' value='0' step='.1' min='1' max='600' style='width:54px;' id='lengthinput' />s</div>");
		util_timelinebuts("add-time","tl_tape","ps_addtime",_translate("Allonger/couper la scène"));
		util_timelinebuts("exp-time","tl_spiral","ps_distortime",_translate("Ralentir/accélérer la scène"));
	print("</div>");
print("	</div>

<div id='div-right' class='class-right'></div><div id='ef-bar' onmousedown='psm_Start(event,-1);' ontouchstart='psm_Start(event,-1);'></div><div id='div-neweffect' class='class-right' style='display:none;'></div>
	<div id='div-timelineleft'>
		<div id='div-timeline-ruban'></div>
		<div id='div-timeline-effects' ontouchstart='psm_Start(event,0);' onmousedown='psm_Start(event,0);'></div>
		<div id='div-timeline-cursor'></div>
		<div id='div-timelineleft-shadow' onmousedown='psm_Start(event,0);' ontouchstart='psm_Start(event,0);'></div>
	</div>");

print("<div id='div-time'><span id='actual-time'>0</span><span>s</span></div>");
print("<div id='div-fps'><span>fps : </span><span id='actual-fps'>--</span></div>");
// Espace vide pour d&drop
print("<div id='objline-hole'></div>");
// bas de page
print("</div>");
/* Ajouter un bouton d'action texte */
function util_addbutton($id,$text,$func)
{
	print("<div id='$id' class='button' onclick='$func();'>$text</div>");
}
/* bouton lien photo */
function util_addimglink($id,$img,$photo,$display,$infobulle)
{
	if ($display)	$display="";
	else			$display="style='display:none;'";
	print("<div class='svgbutton' onmouseover='_IB(this,\"$infobulle\");' id='$id' $display><a href='$photo' target='_blank'><img src='data/newicons/ps_$img.svg'></a></div>");
}
function util_timelinebuts($id,$img,$func,$infobulle,$event="onclick")
{
	print("<div id='$id' class='timelinebuts' onmouseover='_IB(this,\"$infobulle\");' $event='$func();' style='background-image:url(\"data/newicons/$img.svg\");'></div>");
}
function util_addsvgimgbut($id,$img,$func,$infobulle,$event="onclick")
{
	print("<div id='$id' class='svgbutton' onmouseover='_IB(this,\"$infobulle\");' $event='$func();'><img src='data/newicons/$img.svg'></div>");
}
/* chargement des javascript */
function loadjs($js)
{
	if (file_exists("$js.min.js"))	print("<script src='$js.min.js'></script>\n");
	else							print("<script src='$js.js'></script>\n");
}
?>
<div id='popuplock' onclick='ps_stopAnim();'></div>
</body>